/******************************************************************************\
* $Id: proj_actionable_entity_view.sas,v 1.1.2.1.4.1 2012/03/07 13:36:10 saswai Exp $ 
*
* Copyright(c) 2011 SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
* Name: proj_parameter_view.sas
*
* Purpose: Creates view proj_actionable_entity_view 
* 
*
* Author: 
*
* Support: SAS(r) Solutions OnDemand
*
* Input: WORK._SCENARIO_VIEW
*		 FCM.FCM_ENTITY_VAR
*
* Output:	
*			
* Parameters: (if applicable)
*
* Dependencies/Assumptions: 
*								
* Usage:
*
* History: 
* ddmmmyyyy userid description (Change Code)
* 
\******************************************************************************/

proc sql noprint;
	create table PROJ_ACTIONABLE_ENTITY_view as
	select AE_VARIABLE.*, 
	       SCENARIO.*
	from  _SCENARIO_VIEW as SCENARIO,
	      &libref..FCM_ENTITY_VAR as AE_VARIABLE
	where SCENARIO.entity_variable_rk=AE_VARIABLE.logical_rk and
		  SCENARIO.logical_delete_flg='N' and
		  AE_VARIABLE.logical_delete_flg='N' 
	order by project_rk,
			 SCENARIO.logical_rk, 
			 entity_variable_sk;
quit;
